<?php
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * funciones principales de modulo
	 */
	
	
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
		
	$tabla	= ( isset( yPanel::paneles( $_GET['panel'] )->tabla ) ) ? MYSQL_PREFIJO_SISX . yPanel::paneles( $_GET['panel'] )->tabla : 'nulo';
?>
	
	<div class="m-t-30 m-b-20">
		<?php echo com_boton( 'nuevo', etiqueta( 'b_adquirir_extension', 'Adquirir extensión' ) ) . ' ' .  com_boton( 'binstalar', etiqueta( 'b_instalar_extension', 'Instalar/actualizar extensión' ) ); ?>
	</div>
	
	<form method="post" action="<?php echo com_base() ?>prcss.php" enctype="multipart/form-data">
		<input type="hidden" name="acc" value="g-tema">
		<input type="file" id="itema" name="tema" onChange="insTema( this.form );" style="display:none;">
		<fieldset>
			<legend><?php echo etiqueta( 'legend_extensiones_1', 'Extensiones Instaladas' ) ?></legend>
				<?php
					$exthtml= '';
					$html	= '';
					
		  			// -- cargo extensiones registradas
		  			$qe = _mysql_query( "SELECT * FROM "  . $tabla . " WHERE miapp!='' ORDER BY nombre ASC" );
					while( $re = _mysql_fetch_array( $qe ) ){
						$exthtml .= '<tr>
									<td>' . com_btnToggle( 'pu'. $re['miapp'], $re['miapp'], $re['publicado'], false, 'onClick="publicado(this,0)"' ) . '</td>
									<td><i class="fa fa-random"></i></td>
									<td><a href="https://www.webyplus.com/tienda/?tb=extensiones&idapp=' . $re['miapp'] . '" target="_blank"><strong>' . $re['nombre'] . ' <i class="fa fa-external-link"></i></strong></a><div class="fs-small"><i class="fas fa-screwdriver"></i> ' . $re['autor'] . '</div></td>
									<td>' . $re['version'] . '</td>
									<td><a href="javascript:;" onClick="rElim(\'' . $re['miapp'] . '\',0);" class="ico16" title="' . etiqueta( 'e_eliminar', 'Eliminar usuario' ) . '"><i class="fa fa-trash fs-18"></i></a></td>
								</tr>';
					}
						
					// -- Extensiones Obsoletas		
					$sql = _mysql_query( "SELECT * FROM "  . $tabla . " WHERE miapp='' ORDER BY extension ASC" );
					while( $r = _mysql_fetch_array( $sql ) ){						
						$html .= '<tr>
							<td>' . com_btnToggle( 'pu'.$r['id'], $r['id'], $r['publicado'], false, 'onClick="publicado(this,\'1\')"' ) . '</td>
							<td><i class="fa fa-random"></i></td>
							<td><a href="' . $r['url_extension'] . '" target="_blank"><strong>' . $r['extension'] . ' <i class="fa fa-external-link"></i></strong></a><div class="fs-small">Autor: ' . $r['autor'] . '</div></td>
							<td>' . $r['version'] . '</td>
							<td><a href="javascript:;" onClick="rElim(\'' . $r['id'] . '\',\'1\');" class="ico16" title="' . etiqueta( 'e_eliminar', 'Eliminar usuario' ) . '"><i class="fa fa-trash fs-18"></i></a></td>
						</tr>';
					}
				?>
				<table>
					<thead>
						<th>&nbsp;</th>
						<th>&nbsp;</th>
						<th>Extensión</th>
						<th>Versión</th>
						<th>&nbsp;</th>
					</thead>
					<tbody>
						<?php echo $exthtml; ?>
						<tr>
							<td colspan="4" class="p-t-15 p-b-15"><strong><?php echo etiqueta( 'e_extensiones_obsoletas', 'Extensiones Obsoletas' ); ?></strong></td>
						</tr>
						<?php echo ( empty( $html ) ) ? '<tr><td colspan="4">No tiene extensiones obsoletas instaladas.</td></tr>' : $html ?>
					</tbody>
				</table>		
		</fieldset>
	</form>
		
	<script>
		$_("#nuevo").onclick = function(){ 
		  	location.href='<?php echo post_link( 'tienda' ); ?>'; 
		}
		
		$_("#binstalar").onclick = function(){ 
		  	$_("#itema").click();
		}
		
		publicado = function(e,obs){
				$h = ( e.checked ) ? 1 : 0;
				MsjBox.mostrar('<?php echo etiqueta( 'msj_espere', 'espere...' ) ?>');
				$y.ajax({
						url: '<?php echo com_base() ?>prcss.php',
						metodo: 'POST',
						data: 'acc=r-habilitar&panel=<?php echo $_GET['panel'] ?>&post=' + e.value + '&h=' + $h + '&obs=' + obs,
						contenidoTipo: 'application/x-www-form-urlencoded',
						suceso: function(respuesta){ 
									if( respuesta == 1 ){
										 MsjBox.mostrar('<?php echo etiqueta( "msj_secambio_correctamente", 'Se cambió el estado correctamente' ) ?>');
									}
						}
				});
		}
		
		rElim = function(id,obs){
				var opcion = confirm("<?php echo etiqueta( 'msj_seguro_eliminar', '¿Está seguro que desea eliminar el registro?' ) ?>");
    			if (opcion == true) {
					MsjBox.mostrar('<?php echo etiqueta( 'msj_eliminando', 'Eliminando' ) ?>...');
					$y.ajax({
							url: '<?php echo com_base() ?>prcss.php',
							metodo: 'POST',
							data: 'acc=r-eliminar&panel=<?php echo $_GET['panel'] ?>&post=' + id + '&obs=' + obs,
							contenidoTipo: 'application/x-www-form-urlencoded',
							suceso: function(respuesta){ 
										if( respuesta == 1 ){
											 MsjBox.mostrar('<?php echo etiqueta( 'msj_reg_eliminado', 'El registro se eliminó correctamente.' ) ?>');
											 setTimeout("location.reload();",800);
										}
							}
					});
				}
		}
		
		function insTema(f){
			MsjBox.mostrar('Iniciando instalación de tema...');
			//eformData(f);
			var Data = new FormData(f);
			frmData({
						url: f.action,
						data: Data,
						suceso: function(respuesta){ $_('#consola_msj').innerHTML = respuesta; window.scrollTo( 0, 0 ); setTimeout("actualizar()",1800); }
				});
		}
		
		frmData = function( ajustes ){
			if(window.XMLHttpRequest) {
							var ajax = new XMLHttpRequest();
			}else if(window.ActiveXObject) {
							var ajax = new ActiveXObject('Microsoft.XMLHTTP');
			}
			//var Data = new FormData(ajustes.data);
			//var msRequest = msXHRO();
			ajax.open('POST', ajustes.url, true);
						ajax.onload = function(Event) {
									if (ajax.status == 200) {
											ajustes.suceso(ajax.responseText);
									} else {
											ajustes.suceso(ajax.status);
									}
						};	  
			ajax.send(ajustes.data);			
			//msRequest.send(Data);
		}
		
		  
		function actualizar(){location.reload(true);}
	</script>
